Page MenuHomeFreeBSD

CentOS ports: for c6_64, install 32bit libraries alongside.
ClosedPublic

Authored by xmj on Jan 30 2016, 8:52 PM.

Details

Summary

CentOS ports: for c6_64, install 32bit libraries alongside.

Currently, there is no way of installing 32bit and 64bit CentOS libraries
alongside one another. With the ports framework's lacking the possibility of
building two (or more) packages from one port, the way to go about being able
to run both 32bit Linux apps (personal usecase: net-im/skype4) alongside 64bit
Linux apps (use whatever binary CentOS provides in some port we ship) is to
pull all 32bit libraries into the c6_64 ports.

Test Plan
-1 run a recent 11.0-CURRENT or 10-STABLE
0. pkg delete -f linux_base-c6 linux-c6-\*
1. Put this in /etc/make.conf:
  OVERRIDE_LINUX_BASE_PORT=c6_64
  OVERRIDE_LINUX_NONBASE_PORTS=c6_64

2. # make -C ports/emulators/linux-c6 install clean
3. # make -C ports/net-im/skype4 install clean

4. $ skype

5. ???

6. Profit

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

xmj updated this revision to Diff 12885.Jan 30 2016, 8:52 PM
xmj retitled this revision from to CentOS ports: for c6_64, install 32bit libraries alongside..
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: emulation, miwi, allanjude, netchild.
xmj edited the test plan for this revision. (Show Details)Jan 30 2016, 9:18 PM
xmj edited edge metadata.
xmj edited the test plan for this revision. (Show Details)
xmj edited the test plan for this revision. (Show Details)Jan 30 2016, 10:34 PM

I send that this is absolutely the right aproach. CentOS itself offers co-installation of most 32 bit libraries.
For example, this: http://mirrors.kernel.org/centos/6.7/os/x86_64/Packages/
contains both libstdc++-4.4.7-16.el6.i686.rpm and libstdc++-4.4.7-16.el6.x86_64.rpm.

xmj edited the test plan for this revision. (Show Details)Jan 31 2016, 11:37 AM
xmj updated this revision to Diff 12902.Jan 31 2016, 11:40 AM
  • Add RPM depends on openssl for qt47 and qt47-x11.
xmj updated this revision to Diff 12905.Jan 31 2016, 11:56 AM
xmj edited edge metadata.
xmj removed rP FreeBSD ports repository as the repository for this revision.

OpenSSL: bump, to fix CVE-2016-0701 CVE-2015-3197 etc

xmj edited the test plan for this revision. (Show Details)Jan 31 2016, 12:51 PM
xmj updated this revision to Diff 13107.Feb 7 2016, 6:42 PM

Change emulators/linux_base-c6 MASTER_SITE_SUBDIR to += centos/

xmj updated this revision to Diff 13146.Feb 9 2016, 1:08 PM

in emulators/linux_base-c6:
moved compat-libstdc++-296-2.96-144.el6.i686.rpm from LIB_ to BIN_
then, the duplicate lines from distinfo.x86_64 vanish.

xmj updated this revision to Diff 13148.Feb 9 2016, 1:15 PM

fix flash distinfo

xmj updated this revision to Diff 13386.Feb 17 2016, 9:27 AM

emulators/linux_base-c6: fix CVE-2015-7547 in glibc.

xmj updated this revision to Diff 13878.Feb 29 2016, 8:57 AM

update emulators/linux_base-c6, net-im/skype4, www/linux-c6-flashplugin11...

kmoore added a subscriber: kmoore.Mar 30 2016, 2:22 PM

Hey, any update on this? I've got users pinging me about getting this merged in. In particular blockers?

Hey, any update on this? I've got users pinging me about getting this merged in. In particular blockers?

I join a question, what's going on?

swills added a subscriber: swills.Apr 6 2016, 12:50 AM
swills accepted this revision.Apr 13 2016, 1:51 AM
swills added a reviewer: swills.

Committed in rP413168.

This revision is now accepted and ready to land.Apr 13 2016, 1:51 AM
swills closed this revision.Apr 13 2016, 1:51 AM